Subject: Re: bug#35017: 27.0.50; Gnus (wrong-type-argument vectorp #<hash-table ...>)
From: Toon Claes <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 Mar 2019 21:25:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

"Basil L. Contovounesios" <[email-masked]> writes:

> Sounds like you probably have some stale *.elc files lying around[1].
> Try deleting all lisp/gnus/*.elc files before invoking 'make', or just
> invoke 'make bootstrap' for a more thorough rebuild.

I did a `make distclean` and `find . -name '*.elc' -delete`, pulled
again and did a `make bootstrap`. I had to throw away ~/.newsrc.eld (and
maybe also ~/.newsrc-dribble) and now Gnus is working again.

Thanks for the quick reply. I was depending on `make` and `configure.sh`
to ensure all outdated files would get updated, but in this case it was
just a no longer existing file that was lingering around as .elc?

--- Toon